Network Fee
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/salvage/network-fee \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
"{\n \"senderAddress\": \"0x6Fe215Bc6C12f28e98016FcbA21Fa57941a10dE5\",\n \"recipientAddress\": \"0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22\",\n \"tokenAddress\": \"0x337610d27c682E347C9cD60BD4b3b107C9d34dDd\",\n \"amount\": \"0.01\",\n \"blockchainId\": \"b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa\",\n \"rpcUrl\": \"https://opbnb-testnet-rpc.publicnode.com\",\n \"isL2\": false // optional\n}"
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/salvage/network-fee"
payload = "{
\"senderAddress\": \"0x6Fe215Bc6C12f28e98016FcbA21Fa57941a10dE5\",
\"recipientAddress\": \"0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22\",
\"tokenAddress\": \"0x337610d27c682E347C9cD60BD4b3b107C9d34dDd\",
\"amount\": \"0.01\",
\"blockchainId\": \"b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa\",
\"rpcUrl\": \"https://opbnb-testnet-rpc.publicnode.com\",
\"isL2\": false // optional
}"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\n "senderAddress": "0x6Fe215Bc6C12f28e98016FcbA21Fa57941a10dE5",\n "recipientAddress": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",\n "tokenAddress": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",\n "amount": "0.01",\n "blockchainId": "b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa",\n "rpcUrl": "https://opbnb-testnet-rpc.publicnode.com",\n "isL2": false // optional\n}')
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/salvage/network-fee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"balance": "0.1",
"fee": "0.000021"
},
"message": "Salvage network fee fetched successfully",
"statusCode": 200
}Network Fee
Calculates and returns the estimated network fee for a potential asset recovery transaction.
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| senderAddress | true | string | The address you’re recovering assets from |
| recipientAddress | true | string | The address the recovering assets will be sent to |
| amount | true | string | The amount to be salvaged. |
| tokenAddress | false | string | Specify this for token salvage |
| blockchainId | true | string | The blockchain id you’re recovering funds from |
| rpcUrl | false | string | Specify this for assets on an unsupported blockchain |
| isL2 | false | boolean | Specify this if RPC url points to a Layer 2 blockchain |
| crossNetwork | false | boolean | Set to true to estimate fees for cross-network recovery. Cannot be used with rpcUrl. |
POST
/
v1
/
wallets
/
{walletId}
/
salvage
/
network-fee
Network Fee
Authorizations
Path Parameters
Example:
"WALLET_ID"
Body
application/json
Example:
"3"
Example:
"b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa"
Example:
"0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22"
Example:
"0x65A9869D1b0d404FaBc77832d692E1A104C3ad5A"
Set to true to estimate fees for cross-network recovery. Cannot be used with rpcUrl.
Example:
false
⌘I

